## org.apache.lucene.benchmark.byTask.stats
Class TaskStats

    java.lang.Object
      org.apache.lucene.benchmark.byTask.stats.TaskStats

All Implemented Interfaces:
  java.lang.Cloneable

    public class TaskStats

extends java.lang.Object
implements java.lang.Cloneable

Statistics for a task run.
The same task can run more than once, but, if that task records statistics, each run would create its own TaskStats.

Method Summary
`void` `add(TaskStats stat2)` Add data from another stat, for aggregation
`java.lang.Object` `clone()`
`int` `getCount()`
`long` `getElapsed()`
`long` `getMaxTotMem()`
`long` `getMaxUsedMem()`
`int` `getNumParallelTasks()`
`int` `getNumRuns()`
`int` `getRound()`
`PerfTask` `getTask()`
`int` `getTaskRunNum()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getTaskRunNum

    public int getTaskRunNum()

  Returns:
    the taskRunNum.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getCount

    public int getCount()

  Returns:
    Returns the count.

### getElapsed

    public long getElapsed()

  Returns:
    elapsed time.

### getMaxTotMem

    public long getMaxTotMem()

  Returns:
    Returns the maxTotMem.

### getMaxUsedMem

    public long getMaxUsedMem()

  Returns:
    Returns the maxUsedMem.

### getNumParallelTasks

    public int getNumParallelTasks()

  Returns:
    Returns the numParallelTasks.

### getTask

    public PerfTask getTask()

  Returns:
    Returns the task.

### getNumRuns

    public int getNumRuns()

  Returns:
    Returns the numRuns.

### add

    public void add(TaskStats stat2)

  Add data from another stat, for aggregation

  Parameters:
    `stat2` - the added stat data.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `java.lang.Object`
  Throws:
    `java.lang.CloneNotSupportedException`

### getRound

    public int getRound()

  Returns:
    the round number.

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.